'use strict';

const gulp = require('gulp');
const sass = require('gulp-sass');
const uglify = require('gulp-uglify');
const rename = require("gulp-rename");
const sourcemaps = require('gulp-sourcemaps');
const babel  = require('gulp-babel');

// CSS
gulp.task('sass', function () {
    return gulp.src('./assets/admin/scss/*.scss')
        .pipe(sourcemaps.init())
        .pipe(sass({errLogToConsole: true, outputStyle: 'compressed'}))
        .pipe(rename({ suffix: '.min' }))
        .pipe(sourcemaps.write('./'))
        .pipe(gulp.dest('./dist/admin/css'))
});

// JS
gulp.task('js', function() {
    return gulp.src(['assets/admin/js/*.js'])
        .pipe(babel({
            presets: ['@babel/env']
        }))
        .pipe(uglify())
        .pipe(rename({ suffix: '.min' }))
        .pipe(gulp.dest('./dist/admin/js'));
});

gulp.task('watch:sass', function() {
    gulp.watch('./assets/admin/scss/*.scss', gulp.series('sass'));
});
gulp.task('watch:js', function() {
    gulp.watch(['assets/admin/js/*.js'], gulp.series('js'));
});

gulp.task('watch', gulp.parallel('sass', 'js', 'watch:sass', 'watch:js'));
gulp.task('build', gulp.parallel('sass', 'js'));
