<?php
namespace Pinecast;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Schedule events.
 *
 * Add events to the schedule related to feed sync.
 */
function schedule_events() {
	if ( ! wp_next_scheduled( 'pinecast/feed_sync' ) ) {
		wp_schedule_event( 1407110400, 'hourly', 'pinecast/feed_sync' ); // 1407110400 is 08 / 4 / 2014 @ 0:0:0 UTC
	}
}
add_action( 'init', '\Pinecast\schedule_events' );


/**
 * Check podcast feed.
 *
 * Check the podcast feeds to see if anything needs to be synced.
 */
function check_podcast_sync() {
	$podcasts = get_podcasts();

	array_walk( $podcasts, function( $podcast ) {
		/** @var Podcast $podcast */
		$podcast->sync_episodes();

		$podcast->set_last_updated()
			->update();
	} );
}
add_action( 'pinecast/feed_sync', '\Pinecast\check_podcast_sync' );
